Subject: RE: cygwin.dll
From: [email-masked]

17 Jan 1997 19:51:45 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi James, you wrote:

: First the cygwin.dll is to large It should not
: contain the unix to win32 interface. Second, there should
: be a facility to compile statically and to separate the
: C runtime and C++ runtimes into seperate dlls and statically
: linkable libs. The task of porting all the gnu unix to win32
: via the gcc should be dropped. It poisons an otherwise
: very good idea: gcc for win32.

No!!! You miss the whole point of the project!
Read again the cygwin FAQ and README and this email thread.
If you want no unix support nor gcc, just switch to the alternatives
mentioned in these docs.
The second topic is another thing, if possible, it's a lot of work which
should have low priority, IMHO. I'd rather see e.g. PTY support...
And about the last part: If WinWord&Co don't run on unix, our unix apps
have to run on NT, if the customer needs that. I surely don't want to
support different sources or clutter them with a lot of #ifdefs!
I could say more, but will stop now.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".